net.minecraft.client.model

## Class PositionTextureVertex

- java.lang.Object
- - net.minecraft.client.model.PositionTextureVertex

-     public class PositionTextureVertex
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `texturePositionX`
    `float` | `texturePositionY`
    `Vec3` | `vector3D`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositionTextureVertex(float par1, float par2, float par3, float par4, float par5)`
    `PositionTextureVertex(PositionTextureVertex par1PositionTextureVertex, float par2, float par3)`
    `PositionTextureVertex(Vec3 par1Vec3, float par2, float par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PositionTextureVertex` | `setTexturePosition(float par1, float par2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vector3D

          public Vec3 vector3D

    - #### texturePositionX

          public float texturePositionX

    - #### texturePositionY

          public float texturePositionY

  - ### Constructor Detail

    - #### PositionTextureVertex

          public PositionTextureVertex(float par1,
                               float par2,
                               float par3,
                               float par4,
                               float par5)

    - #### PositionTextureVertex

          public PositionTextureVertex(PositionTextureVertex par1PositionTextureVertex,
                               float par2,
                               float par3)

    - #### PositionTextureVertex

          public PositionTextureVertex(Vec3 par1Vec3,
                               float par2,
                               float par3)

  - ### Method Detail

    - #### setTexturePosition

          public PositionTextureVertex setTexturePosition(float par1,
                                                 float par2)